---

#! /db/releases/20250106220134/lkp-src/jobs/blktests-nvme.yaml
suite: blktests
testcase: blktests
category: functional
disk: 1SSD
blktests:
  test: nvme-group-01
  nvme_trtype: rdma
  use_siw: false
job_origin: blktests-nvme.yaml
arch: x86_64

#! include/category/functional
kmsg:
heartbeat:
meminfo:

#! include/category/ALL
sanity-check:

#! include/disk/nr_ssd
need_kconfig:
- BLK_DEV_SD
- SCSI
- BLOCK: "y"
- SATA_AHCI
- SATA_AHCI_PLATFORM
- ATA
- PCI: "y"
- NVME_MULTIPATH: "y"
- NVME_TARGET: m
- NVME_TARGET_LOOP: m
- NVME_RDMA: m
- INFINIBAND: m
- INFINIBAND_ADDR_TRANS: "y"
- NVME_TARGET_RDMA: m
- BLK_DEV_NULL_BLK
- DEBUG_KERNEL: "y"
- FAULT_INJECTION: "y"
- FAULT_INJECTION_CONFIGFS: "y"
- BLK_DEV_NULL_BLK_FAULT_INJECTION: "y"
- RDMA_RXE: m, x86_64
- RDMA_SIW: m, x86_64
- BTRFS_FS: m
- BTRFS_FS_POSIX_ACL: "y"
- BLK_DEV_SD
- SCSI
- BLOCK: "y"
- SATA_AHCI
- SATA_AHCI_PLATFORM
- ATA
- PCI: "y"
- NVME_MULTIPATH: "y"
- NVME_TARGET: m
- NVME_TARGET_LOOP: m
- NVME_RDMA: m
- INFINIBAND: m
- INFINIBAND_ADDR_TRANS: "y"
- NVME_TARGET_RDMA: m
- BLK_DEV_NULL_BLK
- DEBUG_KERNEL: "y"
- FAULT_INJECTION: "y"
- FAULT_INJECTION_CONFIGFS: "y"
- BLK_DEV_NULL_BLK_FAULT_INJECTION: "y"
- RDMA_RXE: m, x86_64
- RDMA_SIW: m, x86_64
- BTRFS_FS: m
- BTRFS_FS_POSIX_ACL: "y"

#! programs/blktests/include

#! queue options
queue_cmdline_keys:
- branch
- commit
queue: bisect
testbox: lkp-hsw-d03
tbox_group: lkp-hsw-d03
branch: linux-next/master
commit: 8d4826cc8a8aca01a3b5e95438dfc0eb3bd589ab
job_file: "/lkp/jobs/scheduled/lkp-hsw-d03/blktests-1SSD-rdma-nvme-group-01-debian-12-x86_64-20240206.cgz-8d4826cc8a8a-20250112-583870-aeojgi-0.yaml"
id: 6d71799d0b74045e42e4ec135a994e30f85e7de1
queuer_version: "/zday/lkp"

#! /db/releases/20250109110140/lkp-src/hosts/lkp-hsw-d03
model: Haswell
nr_node: 1
nr_cpu: 8
memory: 16G
nr_ssd_partitions: 1
nr_hdd_partitions: 4
hdd_partitions: "/dev/disk/by-id/ata-ST1000DM010-2EP102_W9APNA3R-part*"
ssd_partitions: "/dev/disk/by-id/ata-INTEL_SSDSC2BB480G6_BTWA6075012T480FGN-part1"
rootfs_partition: "/dev/disk/by-id/ata-INTEL_SSDSC2BB480G6_BTWA6075012T480FGN-part2"
brand: Intel(R) Core(TM) i7-4770 CPU @ 3.40GHz
ucode: '0x28'
need_kconfig_hw:
- PTP_1588_CLOCK: "y"
- E1000E: "y"
- SATA_AHCI
- DRM_I915

#! /db/releases/20250109110140/lkp-src/include/category/functional

#! /db/releases/20250109110140/lkp-src/include/category/ALL

#! /db/releases/20250109110140/lkp-src/include/disk/nr_ssd

#! /db/releases/20250109110140/lkp-src/programs/blktests/include
rootfs: debian-12-x86_64-20240206.cgz
kconfig: x86_64-rhel-9.4-func
enqueue_time: 2025-01-12 09:56:18.428752579 +08:00
compiler: gcc-12
_rt: "/result/blktests/1SSD-rdma-nvme-group-01/lkp-hsw-d03/debian-12-x86_64-20240206.cgz/x86_64-rhel-9.4-func/gcc-12/8d4826cc8a8aca01a3b5e95438dfc0eb3bd589ab"

#! schedule options
user: lkp
LKP_SERVER: internal-lkp-server
scheduler_version: "/lkp/lkp/.src-20250112-100611"
max_uptime: 6000
initrd: "/osimage/debian/debian-12-x86_64-20240206.cgz"
bootloader_append:
- root=/dev/ram0
- RESULT_ROOT=/result/blktests/1SSD-rdma-nvme-group-01/lkp-hsw-d03/debian-12-x86_64-20240206.cgz/x86_64-rhel-9.4-func/gcc-12/8d4826cc8a8aca01a3b5e95438dfc0eb3bd589ab/0
- BOOT_IMAGE=/pkg/linux/x86_64-rhel-9.4-func/gcc-12/8d4826cc8a8aca01a3b5e95438dfc0eb3bd589ab/vmlinuz-6.13.0-rc4-00009-g8d4826cc8a8a
- branch=linux-next/master
- job=/lkp/jobs/scheduled/lkp-hsw-d03/blktests-1SSD-rdma-nvme-group-01-debian-12-x86_64-20240206.cgz-8d4826cc8a8a-20250112-583870-aeojgi-0.yaml
- user=lkp
- ARCH=x86_64
- kconfig=x86_64-rhel-9.4-func
- commit=8d4826cc8a8aca01a3b5e95438dfc0eb3bd589ab
- intremap=posted_msi
- max_uptime=6000
- LKP_SERVER=internal-lkp-server
- nokaslr
- selinux=0
- debug
- apic=debug
- sysrq_always_enabled
- rcupdate.rcu_cpu_stall_timeout=100
- net.ifnames=0
- printk.devkmsg=on
- panic=-1
- softlockup_panic=1
- nmi_watchdog=panic
- oops=panic
- load_ramdisk=2
- prompt_ramdisk=0
- drbd.minor_count=8
- systemd.log_level=err
- ignore_loglevel
- console=tty0
- earlyprintk=ttyS0,115200
- console=ttyS0,115200
- vga=normal
- rw
modules_initrd: "/pkg/linux/x86_64-rhel-9.4-func/gcc-12/8d4826cc8a8aca01a3b5e95438dfc0eb3bd589ab/modules.cgz"
bm_initrd: "/osimage/deps/debian-12-x86_64-20240206.cgz/lkp_20241102.cgz,/osimage/deps/debian-12-x86_64-20240206.cgz/rsync-rootfs_20241102.cgz,/osimage/deps/debian-12-x86_64-20240206.cgz/run-ipconfig_20241102.cgz,/osimage/deps/debian-12-x86_64-20240206.cgz/blktests_20250108.cgz,/osimage/pkg/debian-12-x86_64-20240206.cgz/blktests-x86_64-827924b-1_20250108.cgz,/osimage/deps/debian-12-x86_64-20240206.cgz/hw_20241102.cgz"
ucode_initrd: "/osimage/ucode/intel-ucode-20230906.cgz"
lkp_initrd: "/osimage/user/lkp/lkp-x86_64.cgz"
site: inn

#! /db/releases/20250109110140/lkp-src/include/site/inn
LKP_CGI_PORT: 80
LKP_CIFS_PORT: 139
oom-killer:
watchdog:
job_initrd: "/lkp/jobs/scheduled/lkp-hsw-d03/blktests-1SSD-rdma-nvme-group-01-debian-12-x86_64-20240206.cgz-8d4826cc8a8a-20250112-583870-aeojgi-0.cgz"
last_kernel: 6.13.0-rc6
acpi_rsdp: '0x000f0490'

#! user overrides
kernel: "/pkg/linux/x86_64-rhel-9.4-func/gcc-12/8d4826cc8a8aca01a3b5e95438dfc0eb3bd589ab/vmlinuz-6.13.0-rc4-00009-g8d4826cc8a8a"
result_root: "/result/blktests/1SSD-rdma-nvme-group-01/lkp-hsw-d03/debian-12-x86_64-20240206.cgz/x86_64-rhel-9.4-func/gcc-12/8d4826cc8a8aca01a3b5e95438dfc0eb3bd589ab/0"

#! /db/releases/20250110234916/lkp-src/include/site/inn
dequeue_time: 2025-01-12 11:10:22.709690210 +08:00
job_state: finished
loadavg: 1.43 0.46 0.16 1/214 3905
start_time: '1736652661'
end_time: '1736652688'
version: "/lkp/lkp/.src-20250112-100611:b8cc1be816f0-dirty:983f9cae0df2-dirty"
